Bug 223284 - wish: change the labels of OpenVPN TLS key direction from 0/1 to server/client
Summary: wish: change the labels of OpenVPN TLS key direction from 0/1 to server/client
Status: RESOLVED FIXED
Alias: None
Product: knetworkmanager
Classification: Unclassified
Component: openvpn (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Will Stephenson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-18 15:13 UTC by Diederik van der Boor
Modified: 2011-03-19 03:59 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diederik van der Boor 2010-01-18 15:13:07 UTC
Version:           onbekend (using 4.3.90 (KDE 4.3.90 (KDE 4.4 RC1)) "release 212", KDE:KDE4:Factory:Desktop / openSUSE_11.2)
Compiler:          gcc
OS:                Linux (i686) release 2.6.31.8-0.1-desktop

The tls-auth settings in knetworkmanager are literally taken from the OpenVPN syntax:

The "TLS Key direction" can be set to 0 or 1.
I'd like to see more descriptive labels, i.e:

- Server (0)
- Client (1)
Comment 1 Lamarque V. Souza 2011-03-19 03:59:32 UTC
Git commit 941cde971277611da2575fc2dfccde01c4bbe564 by Lamarque V. Souza.
Committed on 19/03/2011 at 03:58.
Pushed by lvsouza into branch 'master'.

Change the labels of OpenVPN TLS key direction from 0/1 to server/client

BUG: 223284

M  +2    -2    vpnplugins/openvpn/openvpnprop.ui     

http://commits.kde.org/networkmanagement/941cde971277611da2575fc2dfccde01c4bbe564